=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=xfaces

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i clean 
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/X11R6/bin
	install -d debian/tmp/usr/X11R6/man/man1
	install -d debian/tmp/etc/X11/app-defaults
	install -d debian/tmp/usr/X11R6/lib/X11/xfaces/images
	xmkmf
	$(MAKE) all
	cp xfaces debian/tmp/usr/X11R6/bin/xfaces
	strip debian/tmp/usr/X11R6/bin/xfaces
	cp XFaces.ad debian/tmp/etc/X11/app-defaults/XFaces
	cp xfaces.man debian/tmp/usr/X11R6/man/man1/xfaces.1x
	gzip -9v debian/tmp/usr/X11R6/man/man1/xfaces.1x
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp debian/patches debian/tmp/usr/doc/$(package)/.
	cp images/* debian/tmp/usr/X11R6/lib/X11/xfaces/images
	if [ -f debian/conffiles ]; then \
		cp debian/conffiles debian/tmp/DEBIAN; \
	else \
		touch debian/tmp/DEBIAN/conffiles; \
	fi
	cp README TODO CHANGES CREDITS debian/tmp/usr/doc/$(package)/
	cp ChangeLog  debian/tmp/usr/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	dpkg-shlibdeps xfaces
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	mkdir debian/tmp/usr/share
	mv debian/tmp/usr/doc debian/tmp/usr/share
	cp debian/prerm debian/tmp/DEBIAN
	chmod 755 debian/tmp/DEBIAN/prerm
	dh_strip
	dpkg --build debian/tmp ..

define checkdir
	test -f face_actions.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
